
<?php
######################################################################
# Weather Magnet
# ============================================
#
# Copyright (c) 2003 by John Horne seventhseal@ibdeeming.com
# http://ibdeeming.com
#
#
# This program is free software. You can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License.
######################################################################
require_once("mainfile.php");

$module_name = basename(dirname(__FILE__));
get_lang($module_name);

require_once( "modules/$module_name/wh_ini.php" );

$NOAAMaskRadarPath = "http://www.crh.noaa.gov/radar/images/:radartype:/SI.:noaaradar:/latest.gif";
$NOAAMaskZonePath = "http://weather.noaa.gov/pub/data/forecasts/zone/:stabbrev:/:zonefile:.txt";
$NOAAMarineZonePath = "http://weather.noaa.gov/pub/data/forecasts/marine/coastal/:stabbrev:/:zonefile:.txt";

/**************************************************************************************************************/
/*                                                                                                            */
/* fnOptionalRadarMenu( $id )                                                                                      */
/*                                                                                                            */
/* displays menu option of other radars available (NOAA only!)                                                */
/*                                                                                                            */
/**************************************************************************************************************/

function fnOptionalRadarMenu( $id )
{
  global $module_name, $shortreflectivity, $longreflectivity, $shortcomposite, $longcomposite, $onehourtotal, $stormtotal;

  echo "<table><tr><th>"._AVAIL_RADARS."</th></tr>\n"
      ."<tr><td>\n"
      ."<a href=\"modules.php?name=".$module_name."&amp;op="._DIS_REQ_RADAR."&amp;id=$id&amp;type="._SHORT_REF."\">"._SHORT_REF_RADAR."</a><br>\n"
      ."<a href=\"modules.php?name=".$module_name."&amp;op="._DIS_REQ_RADAR."&amp;id=$id&amp;type="._LONG_REF."\">"._LONG_REF_RADAR."</a><br>\n"
      ."<a href=\"modules.php?name=".$module_name."&amp;op="._DIS_REQ_RADAR."&amp;id=$id&amp;type="._SHORT_COMP."\">"._SHORT_COMP_RADAR."</a><br>\n"
      ."<a href=\"modules.php?name=".$module_name."&amp;op="._DIS_REQ_RADAR."&amp;id=$id&amp;type="._LONG_COMP."\">"._LONG_COMP_RADAR."</a><br>\n"
      ."<a href=\"modules.php?name=".$module_name."&amp;op="._DIS_REQ_RADAR."&amp;id=$id&amp;type="._ONE_HOUR."\">"._ONE_HOUR_RADAR."</a><br>\n"
      ."<a href=\"modules.php?name=".$module_name."&amp;op="._DIS_REQ_RADAR."&amp;id=$id&amp;type="._STORM_TOTAL."\">"._STORM_TOTAL_RADAR."</a>\n"
      ."</td></tr></table>\n";

}

/*************************************************************************************************************/
/*                                                                                                           */
/* function fnCheckWXZoneEntry( $code )                                                                      */
/* passed variable : $code - corresponds to the code in the weatherstations                                  */
/*                                                                                                           */
/* returns true if WXZone is valid for code                                                                  */
/*                                                                                                           */
/*************************************************************************************************************/

function fnCheckWXZoneEntry( $code )
{
  global $prefix, $db;

  $return = false;

  $sql = "select fips from ".$prefix."_weatherstations where code='".$code."'";
  $result = $db->sql_query( $sql );

  if ( $result )
  {
    $row = $db->sql_fetchrow( $result );

    if ( strlen( $row[fips] ) > 0 )
    {
      $return = true;
    }
  }

  $db->sql_freeresult( $result );

  return $return;
}

/**************************************************************************************************************/
/*                                                                                                            */
/* function fnCheckRadarEntries( $code )                                                                      */
/* passed variable : $code - corresponds to the code in the weatherstations table                             */
/*                                                                                                            */
/* Returns true if any of primaryradar, secondaryradar, or userradar contains data                            */
/*                                                                                                            */
/**************************************************************************************************************/

function fnCheckRadarEntries( $code )
{
  global $prefix, $db;

  $return = false;

  $sql = "select primaryradar, secondaryradar, userradar from ".$prefix."_weatherstations where code='".$code."'";
  $result = $db->sql_query( $sql );

  if ( $result )
  {
    $row = $db->sql_fetchrow( $result );

    if ( strlen( $row[primaryradar] ) > 0  || strlen( $row[secondaryradar] ) > 0 || strlen( $row[userradar] ) > 0 )
    {
      $return = true;
    }
  }

  $db->sql_freeresult( $result );

  return $return;
}

/*******************************************************************************************************************/
/*                                                                                                                 */
/* function fnShowAllRadar( $id )                                                                                  */
/* passed variable : $id - corresponds to the database line in table weatherstations                               */
/*                                                                                                                 */
/* function will display all corresponding defined radars for specified code                                       */
/*                                                                                                                 */
/*******************************************************************************************************************/

function fnShowAllRadar( $id, $type = _SHORT_REF )
{
  global $prefix, $db, $index, $NOAAMaskRadarPath;

  $index = 0; // don't show right side blocks
  
  $sql = "select code, repstation, primaryradar, secondaryradar, userradar from ".$prefix."_weatherstations where id='".$id."'";
  $result = $db->sql_query( $sql );
  $row = $db->sql_fetchrow( $result );

  $repstation = ucwords( $row[repstation] );

  // set up the type of radar to display
  switch( $type )
  {
    case _SHORT_REF:
      $radarpath = ereg_replace( ":radartype:", _SHORTREFLECTIVITY, $NOAAMaskRadarPath );
      $title = $repstation."<br>"._SHORT_REF_RADAR;
      break;

    case _LONG_REF:
      $radarpath = ereg_replace( ":radartype:", _LONGREFLECTIVITY, $NOAAMaskRadarPath );
      $title = $repstation."<br>"._LONG_REF_RADAR;
      break;

    case _SHORT_COMP:
      $radarpath = ereg_replace( ":radartype:", _SHORTCOMPOSITE, $NOAAMaskRadarPath );
      $title = $repstation."<br>"._SHORT_COMP_RADAR;
      break;

    case _LONG_COMP:
      $radarpath = ereg_replace( ":radartype:", _LONGCOMPOSITE, $NOAAMaskRadarPath );
      $title = $repstation."<br>"._LONG_COMP_RADAR;
      break;

    case _ONE_HOUR:
      $radarpath = ereg_replace( ":radartype:", _ONEHOURTOTAL, $NOAAMaskRadarPath );
      $title = $repstation."<br>"._ONE_HOUR_RADAR;
      break;

    case _STORM_TOTAL:
      $radarpath = ereg_replace( ":radartype:", _STORMTOTAL, $NOAAMaskRadarPath );
      $title = $repstation."<br>"._STORM_TOTAL_RADAR;
      break;
  }

  if ($row[primaryradar] != "")
  {
    $primaryradar = ereg_replace( ":noaaradar:", $row[primaryradar], $radarpath );
  }
  else
  {
    $primaryradar = "";
  }
 
  if ($row[secondaryradar] != "") 
  {
    $secondaryradar = ereg_replace( ":noaaradar:", $row[secondaryradar], $radarpath );
  }
  else
  {
    $secondaryradar = "";
  }

  $userradar = $row[userradar];
  $code = $row[code];

  $db->sql_freeresult( $result );

  include("header.php");
  OpenTable();

  echo "<table><tr><th colspan=\"2\">\n";
  echo $title."</th></tr><tr><td valign=\"top\">";

  fnOptionalRadarMenu( $id );

  echo "</td><td valign=\"top\"><table>";

  if ( $primaryradar != "")
  {
    echo "<tr><th>";
    $return = fnmap2cache( $primaryradar, $code, "p".$type, "620", "620" );
    echo _PRI_REPORTING_STATION."</th></tr><tr><td>".$return."</td></tr>\n";
  }

  if ( $secondaryradar != "")
  {
    echo "<tr><th>";
    $return = fnmap2cache( $secondaryradar, $code, "s".$type, "620", "620" );
    echo _SEC_REPORTING_STATION."</th></tr><tr><td>".$return."</td></tr>\n";
  }

  echo "</table></td></tr>";

  if ( $userradar != "" ) 
  {
    echo "<tr colspan=\"2\"><th>";
    $return = fnmap2cache( $userradar, $code, "u".$type, "620", "620" );
    echo _USR_REPORTING_STATION."</th></tr><tr><td>".$return."</td></tr>\n";
  }

  echo "</table>\n";

  CloseTable();
  include("footer.php");
}


function fnmap2cache ( $URL, $code, $pre, $width = "", $height = "" )
{
  global $db, $prefix;

  $wh = new whini( $db, $prefix );
  $radar_cache = $wh->getrootradarpath();
  $url_img_path = $wh->getnukeradarpath();
  
  $IMGNAME = $pre.$code.substr( $URL, strrpos($URL, "/")+1);
  $target_file = $radar_cache.$IMGNAME;
  $url_target_file = $url_img_path.$IMGNAME;

  if ( file_exists($target_file) )
  {
    $NOW = time();
    $LASTUPDATE = filemtime($target_file);
    
    if ($NOW > ($LASTUPDATE + $wh->getcachetimeout()))
	{
	  $return = "";
      $MAPIN = fopen($URL, "rb");
	  while( !feof( $MAPIN ) )
	  {
        $return .= fread($MAPIN, 1024);
	  }	
      fclose($MAPIN);
	  
	  $MAPOUT = fopen($target_file, "wb");
      fwrite($MAPOUT, $return);
      fclose($MAPOUT);
    }
  }
  else
  {
    $return = "";
    $MAPIN = fopen($URL, "rb");
	while( !feof( $MAPIN ) )
	{
      $return .= fread($MAPIN, 1024);
	}  
    fclose($MAPIN);
	
    $MAPOUT = fopen($target_file, "wb");
    fwrite($MAPOUT, $return);
    fclose($MAPOUT);
  }
  
  //$NEWURL = "";

  if ( $width != "" && $height !="" )
  {
    $NEWURL = "<IMG SRC=\"".$url_target_file."\" WIDTH=\"".$width."\" HEIGHT=\"".$height."\">";
  }
  else
  {
    $NEWURL = "<IMG SRC=\"".$url_target_file."\" WIDTH=\"200\" HEIGHT=\"200\">";
  }	

  return $NEWURL;
}

function fnLatestObstoCache( $latest_obs, $target_file)
{
  global $db, $prefix;
  
  error_reporting(0); //  turn off error reporting, I'm handling for now.

  $old_e_handler = set_error_handler( "WMErrorHandler" );
  
  $wh = new whini( $db, $prefix );
  
  if ( file_exists($target_file) )
  {
    $NOW = time();
    $LASTUPDATE = filemtime($target_file);
    
    if ($NOW > ($LASTUPDATE + $wh->getcachetimeout()))
	{
	  $return = "";
      $file = fopen($latest_obs, "rb");
	  if ( $file )
	  {
	    while( !feof( $file ) )
	    {
          $return .= fread($file, 1024);
	    }	
        fclose($file);
	      
	    $file = fopen($target_file, "wb");
        fwrite($file, $return);
        fclose($file);
	  }
	  else
	  {
	    $target_file = "";
	  }	
	}
  }
  else
  {
    $return = "";
    $file = fopen($latest_obs, "rb");
	if ( $file )
	{
	  while( !feof( $file ) )
	  {
        $return .= fread($file, 1024);
	  }  
      fclose($file);
	
      $file = fopen($target_file, "wb");
      fwrite($file, $return);
      fclose($file);
	}
	else
	{
	  $target_file = "";
	}  
  }
  
  // restore default error handler
  restore_error_handler();
  
  return( $target_file );
}

/******************************************************************************/
/*                                                                            */
/* function fnParseWXZone( $string, $zone )                                   */
/*                                                                            */
/* function to parsse the wxzone string ($string) using the table data in the */
/* array ($zone) matching the weatherzones table                              */
/******************************************************************************/

function fnParseWXZone( $string, $zonename )
{
  global $db, $prefix;
  
  $match_pattern = "/^\.{1}([A-Z][A-Z ]*)\.{3}/";
  
  $wh = new whini( $db, $prefix );
  $daystodisplay = $wh->getefdaysdisplay();
  
  if ( $daystodisplay == "5" )  // this means everything, so set it to a high number
  {
    $daystodisplay = 100;
  }
  
  $temp_string = strstr( $string, strtoupper( substr( $zonename, 0, 3 ) ) );
  $temp_string = html_entity_decode( $temp_string );
  $temp_string = ereg_replace( "&&(.*)","",$temp_string);
  $temp_string = ereg_replace( "\$\$(.*)","", $temp_string );
  $temp_string = rtrim( $temp_string );
  // now begin building the table for the data...
  //get string "INCLUDING"
  $including = strstr( $temp_string, strtoupper( "including" ) );
  // if $including == "" check for COASTAL
  if ( $including == "" )
  {
    $including = strstr( $temp_string, strtoupper( "coastal" ) );
  }
  // build including so everything between it and the timestamp is included...
  
	  //get timestamp in following format - 915 AM AST TUE JAN 20 2004
  $timestamp = "";	  
  if ( preg_match( "/([0-9]{3,4} [A-Z]{2} [A-Z]{3} [A-Z]{3} [A-Z]{3} [0-9]{2} [0-9]{4})/", $temp_string, $buffer ) != 0 )
  {
    $timestamp = $buffer[1];
	// move temp string up to the timestamp...
	$temp_string = strstr( $temp_string, $buffer[1] );
	
	if ( $including != "" )
      $position = strpos( $including, $buffer[1] );
	else
	  $position = 0;
	    
	if ( $position != 0 )
      $including = substr( $including, 0, $position );
  }
  
  $special_msg = "";
  if ( preg_match( "/\.{3}([A-Z][A-Z ]*)\.{3}/", $temp_string, $buffer ) != 0 )
  {
    $special_msg = $buffer[1];
	$temp_string = preg_replace( "/\.{3}".$buffer[1]."\.{3}/", "", $temp_string );
  }

  $new_string = "<table align=\"center\">"
               ."<tr><th>".$including."<br>".$timestamp."<br>".$special_msg."</th></tr>"
			   ."<tr><td>\n";
 
     // get forecast data - find the text first 
  if ( preg_match( "/(\.{1}[A-Z][A-Z ]*)\.{3}/", $temp_string, $buffer ) != 0 )
  {
    $forecast  = strstr( $temp_string, $buffer[1] );
  }  
  else
  {
    return _UNABLE_TO_PARSE_EF;
  }
	
  // split into stings in array
  $array_forecast = preg_split( "/<br>/", $forecast, (-1), PREG_SPLIT_DELIM_CAPTURE );

  $t_forecast_array = array();  // used to build the table of extended forecasts
  $b_forecast_array = array();   // ditto...
  
  $which_one = 0;
  $countdaysfound = 0;
  while( ( list( $key, $value) = each( $array_forecast ) ) && ( $countdaysfound++ < ( $daystodisplay * 2 ) ))
  {
    $value = ereg_replace( "<br>","",$value);
	if ( $value == "$$" || $value == "" )
	  break;
	  
    // need to capture the lines of the forecast
	do
	{
	  $next_value = current( $array_forecast );  // each moved pointer up, so get current
	  $next_value = preg_replace( "/<br>/","",$next_value);

	// check to see if the next_value as a day match in it, if not append to current value
	  if ( $next_value != "" && preg_match( $match_pattern, $next_value, $next_day ) != 1 )  // check for NO match
	  {
        // append strings
        $value = sprintf( "%s %s", $value, $next_value );
        // move pointer of working array
        next( $array_forecast );
      }
	  else  // no match - get out!!!
	  {
	    break;
	  }
	} while( 1 );
		
    $daycaptured = "";
    $imagepath = "";
    if ( preg_match( $match_pattern, $value, $day ) != 0 )
    {
      $value = preg_replace( $match_pattern, "", $value );
      $daycaptured = $day[1];
    }
    // need to figure out the image to display
    if ($daycaptured != "") 
    {
	  $night = false;
	  
	  if ( eregi( "night", $daycaptured ) )
	  {
	    $night = true;
      }
	  
      $imagepath = fnGetWeatherImage( $value, $night );
	}
	
	// trim out all whitespace
	$daycaptured = trim( $daycaptured );
	$imagepath = trim( $imagepath );
	$value = trim( $value );
	
	if ( $daycaptured == "" && $imagepath == "" && ( $value == "" || $value == "$$") )
	{
	  continue;
	}
	else
	{
	  if ( $which_one == 0 )  // doing the first one
	  {
	    $which_one = 1;
        $t_forecast_array[] = "<td width=\"14%\"><table><tr><th>".$daycaptured."</th></tr><tr><td>".$imagepath."<br>".$value."</td></tr></table></td>\n";
	  }
	  else  // doing the second one
	  {
	    $which_one = 0;
        $b_forecast_array[] = "<td width=\"14%\"><table><tr><th>".$daycaptured."</th></tr><tr><td>".$imagepath."<br>".$value."</td></tr></table></td>\n";
	  }
	}  
  }

  $new_string .= "<table width=\"95%\"><tr valign=\"top\">\n";
  reset( $t_forecast_array );
  reset( $b_forecast_array );
  
  // build top line first
  while( list( $key, $val ) = each( $t_forecast_array ) )
  {
    $new_string .= $val;  
  }
  
  $new_string .= "</tr><tr valign=\"top\">\n";
  
    // build bottom line next
  while( list( $key, $val ) = each( $b_forecast_array ) )
  {
    $new_string .= $val;  
  }

  if ( $which_one == 1 )  // didn't finish correctly!!! need one more column
  {
    $new_string .= "<td width=\"14%\">&nbsp;</td>\n";  
  }
  
  $new_string .= "</tr></table>\n";
  
  $new_string .= "</td></tr></table>\n";

  return $new_string;
}

/******************************************************************************/

function fnGetWeatherImage( $value, $night )
{
  global $db, $prefix;
  $wh = new whini( $db, $prefix );
  $wimages_loc = "modules/WeatherHarvest/images/set".$wh->getimageset()."/";
  $w_image = "";
  
  if ( eregi( "wind", $value ) )
  {
    $w_image = "23.gif";
  }
    
  if ( eregi( "mostly cloudy|considerable cloud", $value ) )
  {
    $w_image = $night ? "27.gif" : "28.gif";
  }
  else if ( eregi( "(partly cloudy|increasing high clouds)", $value ) )
  {
    $w_image = $night ? "29.gif" : "30.gif";
  }
  else if ( eregi( "cloudy", $value ) )
  {
    $w_image = "26.gif";
  }
  else if ( eregi( "(mostly|partly)( sunny)", $value ) )
  {
    $w_image = "34.gif";
  }
  else if ( eregi( "sunny", $value ) )
  {
    $w_image = "32.gif";
  }	
  else if ( eregi( "mostly clear", $value ) )
  {
    $w_image = $night ? "33.gif" : "34.gif";
  }
  else if ( eregi( "clear", $value ) )
  {
    $w_image = $night ? "31.gif" : "32.gif";
  }
  
  if ( eregi( "rain", $value ) && eregi( "snow", $value ) )
  {
    $w_image = "7.gif";
  }
  else if ( eregi( "snow showers|snow", $value ) )
  {
    $w_image = "14.gif";
  }
  else if ( eregi( "isolated showers", $value ) )
  {
    $w_image = $night ? "45.gif" : "39.gif";
  }
  else if ( eregi( "scattered showers", $value ) )
  {
    $w_image = $night ? "47.gif" : "38.gif";
  }
  else if ( eregi( "rain|showers", $value ) )
  {
    $w_image = "12.gif";
  }
  
  if ( eregi( "sleet", $value ) && eregi( "snow", $value ) )
  {
    $w_image = "7.gif";
  }
  else if ( eregi("freezing spray", $value ) )
  {
    $w_image = "8.gif";
  }
  else if ( eregi("freezing rain", $value ) )
  {
    $w_image = "10.gif";
  }
  else if ( eregi( "flurries", $value ) )
  {
    $w_image = "13.gif";
  }
  
  if ( $w_image == "" )
  {
    $ret_string = "&nbsp;";
  }
  else
  {
    $ret_string = "<img src=\"".$wimages_loc.$w_image."\">";
  }
  
  return $ret_string;	
}
/******************************************************************************/
/*                                                                            */
/* function fnReadFile( $filename )                                           */
/*                                                                            */
/* function to read in a given file ($filename) and return the data as a      */
/* string.  It places a <br> where CR/LF occur                                */
/******************************************************************************/

function fnReadFile( $filename, $inc_break = true )
{
  $return = "";
  
  if ( $filename != "" )
  {
    $file = fopen($filename, "rb");
    if ( $file )
    {
      while( !feof( $file ) )
      {
        $line = fgets($file, 1024);
		if ( $inc_break == true )
        {
          $line = trim( $line );
          $return .= $line."<br>";
        }
        else
        {
          $return .= $line;
        }
      }  
      fclose($file);
    }
    else
    {
      $return = "";
    }
  }
  else
  {
    $return = "";
  }  
  
  return $return;
}

/************************************************************************/
/* function WMErrorHandler()                                            */
/*                                                                      */
/* Custom error handler so errors are not thrown to the user interface  */
/************************************************************************/

function WMErrorHandler($errno, $errmsg, $filename, $linenum, $vars )
{
    // timestamp for the error entry
    $dt = date("Y-m-d H:i:s (T)");

    // define an assoc array of error string
    // in reality the only entries we should
    // consider are 2,8,256,512 and 1024
    $errortype = array (
                1   =>  "Error",
                2   =>  "Warning",
                4   =>  "Parsing Error",
                8   =>  "Notice",
                16  =>  "Core Error",
                32  =>  "Core Warning",
                64  =>  "Compile Error",
                128 =>  "Compile Warning",
                256 =>  "User Error",
                512 =>  "User Warning",
                1024=>  "User Notice"
                );
    // set of errors for which a var trace will be saved
    $user_errors = array(E_USER_ERROR, E_USER_WARNING, E_USER_NOTICE);
    
    $err = "<errorentry>\n";
    $err .= "\t<datetime>".$dt."</datetime>\n";
    $err .= "\t<errornum>".$errno."</errornum>\n";
    $err .= "\t<errortype>".$errortype[$errno]."</errortype>\n";
    $err .= "\t<errormsg>".$errmsg."</errormsg>\n";
    $err .= "\t<scriptname>".$filename."</scriptname>\n";
    $err .= "\t<scriptlinenum>".$linenum."</scriptlinenum>\n";

    if (in_array($errno, $user_errors))
        $err .= "\t<vartrace>".wddx_serialize_value($vars,"Variables")."</vartrace>\n";
    $err .= "</errorentry>\n\n";
    
    if ($errno == E_USER_ERROR)
        mail("seventhseal@ibdeeming.com","WeatherMagnet: Critical User Error",$err);
}

?>
