#
# Table structure for table `nuke_weatherblock`
#

DROP TABLE IF EXISTS nuke_weatherblock;
CREATE TABLE nuke_weatherblock (
  timedisplay enum('0','1') NOT NULL default '1',
  datedisplay enum('0','1','2') NOT NULL default '0',
  yeardisplay enum('0','1') NOT NULL default '0',
  timezone set('Y','N') NOT NULL default 'N',
  timepos set('T','B') NOT NULL default 'T',
  fontsize set('S','M','L') NOT NULL default 'M',
  showregion set('Y','N') NOT NULL default 'Y',
  showcountry set('Y','N') NOT NULL default 'Y',
  blockwidth enum('0','1') NOT NULL default '0',
  measuretype enum('0','1','2') NOT NULL default '0',
  dawntime smallint(6) NOT NULL default '600',
  dusktime smallint(6) NOT NULL default '1800',
  radarlink enum('Y','N') NOT NULL default 'Y',
  stationlink enum('Y','N') NOT NULL default 'Y',
  summarylink enum('Y','N') NOT NULL default 'Y'
) TYPE=MyISAM COMMENT='block layout table';

#
# Dumping data for table `nuke_weatherblock`
#

INSERT INTO nuke_weatherblock VALUES ('1', '0', '0', 'Y', 'B', 'M', 'N', 'Y', '1', '1', 700, 1750, 'Y', 'Y', 'Y');

INSERT INTO nuke_weatherstations VALUES ('', 'au', 'South Australia', 'Adelaide Airport', 'YPAD', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES ('', 'au', 'Northern Territory', 'Alice Springs Aerodrome', 'YBAS', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES ('', 'au', 'New South Wales', 'Avalon, Avalon Airport', 'YMAV', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES ('', 'au', 'Northern Territory', 'Ayers Rock', 'YAYE', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES ('', 'au', 'Western Australia', 'Belmont Perth Airport', 'YPPH', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES ('', 'au', 'Queensland', 'Brisbane Airport M. O', 'YBBN', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES ('', 'au', 'Western Australia', 'Broome Airport', 'YBRM', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES ('', 'au', 'Western Australia', 'Bullsbrook Pearce Amo', 'YPEA', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES ('', 'au', 'Queensland', 'Cairns Airport', 'YBCS', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES ('', 'au', 'New South Wales', 'Canberra', 'YSCB', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES ('', 'au', 'Queensland', 'Coolangatta Airport Aws', 'YBCG', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES ('', 'au', 'Northern Territory', 'Darwin Airport', 'YPDN', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES ('', 'au', 'New South Wales', 'Dubbo', 'YSDU', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES ('', 'au', 'Tasmania', 'Hobart Airport', 'YMHB', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES ('', 'au', 'Western Australia', 'Kununurra Kununurra Aws', 'YPKU', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES ('', 'au', 'Western Australia', 'Learmonth Airport', 'YPLM', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES ('', 'au', 'Victoria', 'Melbourne Airport', 'YMML', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES ('', 'au', 'Queensland', 'Mount Isa Amo', 'YBMA', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES ('', 'au', 'Oceania', 'Norfolk Island Airport', 'YSNF', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES ('', 'au', 'Western Australia', 'Port Hedland Pardoo', 'YPPD', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES ('', 'au', 'Tasmania', 'Richmond Aus-Afb', 'YSRI', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES ('', 'au', 'Queensland', 'Rockhampton Airport', 'YBRK', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES ('', 'au', 'New South Wales', 'Sydney Airport', 'YSSY', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES ('', 'au', 'New South Wales', 'Tamworth Airport', 'YSTW', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES ('', 'au', 'Northern Territory', 'Tindal / Katherine', 'YPTN', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES ('', 'au', 'Queensland', 'Townsville Amo', 'YBTL', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES ('', 'au', 'New South Wales', 'Wagga Airport', 'YSWG', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES ('', 'iq', '', 'Baghdad', 'ORBB', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES ('', 'iq', '', 'Mosul', 'ORBM', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES ('', 'iq', '', 'Saddam Irq-AFB / CIV', 'ORBS', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES ('', 'iq', '', 'Shaibah / Basrah', 'ORMS', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES ('', 'fr', '', 'Agen', 'LFBA', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES ('', 'fr', '', 'Ajaccio', 'LFKJ', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES ('', 'fr', '', 'Avord', 'LFOA', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES ('', 'fr', '', 'Bale-Mulhouse', 'LFSB', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES ('', 'fr', '', 'Bastia', 'LFKB', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES ('', 'fr', '', 'Beauvais', 'LFOB', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES ('', 'fr', '', 'Bergerac', 'LFBE', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES ('', 'fr', '', 'Beziers / Vias', 'LFMU', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES ('', 'fr', '', 'Biarritz', 'LFBZ', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES ('', 'fr', '', 'Bordeaux / Merignac', 'LFBD', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES ('', 'fr', '', 'Bourges', 'LFLD', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES ('', 'fr', '', 'Brest', 'LFRB', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES ('', 'fr', '', 'Caen', 'LFRK', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES ('', 'fr', '', 'Calvi', 'LFKC', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES ('', 'fr', '', 'Cambrai', 'LFQI', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES ('', 'fr', '', 'Cannes', 'LFMD', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES ('', 'fr', '', 'Carcassonne', 'LFMK', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES ('', 'fr', '', 'Cazaux', 'LFBC', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES ('', 'fr', '', 'Chalons-Vatry', 'LFOK', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES ('', 'fr', '', 'Chambery / Aix-Les-Bains', 'LFLB', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES ('', 'fr', '', 'Chateauroux', 'LFLX', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES ('', 'fr', '', 'Cherbourg / Maupertus', 'LFRC', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES ('', 'fr', '', 'Clermont-Ferrand', 'LFLC', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES ('', 'fr', '', 'Cognac', 'LFBG', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES ('', 'fr', '', 'Colmar', 'LFSC', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES ('', 'fr', '', 'Dijon', 'LFSD', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES ('', 'fr', '', 'Dinard', 'LFRD', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES ('', 'fr', '', 'Dole Tavaux', 'LFGJ', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES ('', 'fr', '', 'Evreux', 'LFOE', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES ('', 'fr', '', 'Figari', 'LFKF', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES ('', 'fr', '', 'Grenoble / St. Geoirs', 'LFLS', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES ('', 'fr', '', 'Hyeres', 'LFTH', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES ('', 'fr', '', 'Istres', 'LFMI', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES ('', 'fr', '', 'La Rochelle', 'LFBH', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES ('', 'fr', '', 'Lann Bihoue', 'LFRH', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES ('', 'fr', '', 'Lannion / Servel', 'LFRO', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES ('', 'fr', '', 'Le Mans', 'LFRM', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES ('', 'fr', '', 'Lille', 'LFQQ', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES ('', 'fr', '', 'Limoges', 'LFBL', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES ('', 'fr', '', 'Luxeuil', 'LFSX', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES ('', 'fr', '', 'Lyon / Bron', 'LFLY', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES ('', 'fr', '', 'Lyon / Satolas', 'LFLL', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES ('', 'fr', '', 'Marseille / Marignane', 'LFML', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES ('', 'fr', '', 'Metz / Frescaty', 'LFSF', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES ('', 'fr', '', 'Metz-Nancy-Lorraine', 'LFJL', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES ('', 'fr', '', 'Mont-De-Marsan', 'LFBM', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES ('', 'fr', '', 'Montpellier', 'LFMT', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES ('', 'fr', '', 'Nancy / Ochey', 'LFSO', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES ('', 'fr', '', 'Nantes', 'LFRS', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES ('', 'fr', '', 'Nice', 'LFMN', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES ('', 'fr', '', 'Nimes / Garons', 'LFTW', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES ('', 'fr', '', 'Orange', 'LFMO', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES ('', 'fr', '', 'Orleans', 'LFOJ', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES ('', 'fr', '', 'Paris / Le Bourget', 'LFPB', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES ('', 'fr', '', 'Paris-Aeroport Charles De Gaulle', 'LFPG', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES ('', 'fr', '', 'Paris-Orly', 'LFPO', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES ('', 'fr', '', 'Pau', 'LFBP', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES ('', 'fr', '', 'Perpignan', 'LFMP', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES ('', 'fr', '', 'Poitiers', 'LFBI', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES ('', 'fr', '', 'Quimper', 'LFRQ', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES ('', 'fr', '', 'Reims', 'LFSR', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES ('', 'fr', '', 'Rennes', 'LFRN', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES ('', 'fr', '', 'Rodez', 'LFCR', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES ('', 'fr', '', 'Rouen', 'LFOP', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES ('', 'fr', '', 'Saint-Brieuc', 'LFRT', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES ('', 'fr', '', 'St-Dizier', 'LFSI', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES ('', 'fr', '', 'St-Etienne Boutheon', 'LFMH', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES ('', 'fr', '', 'St-Nazaire', 'LFRZ', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES ('', 'fr', '', 'Strasbourg', 'LFST', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES ('', 'fr', '', 'Tarbes / Ossun', 'LFBT', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES ('', 'fr', '', 'Toulouse / Blagnac', 'LFBO', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES ('', 'fr', '', 'Tours', 'LFOT', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES ('', 'fr', '', 'Toussus Le Noble', 'LFPN', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES ('', 'fr', '', 'Troyes', 'LFQB', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES ('', 'fr', '', 'Vichy', 'LFLV', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES ('', 'fr', '', 'Villacoublay', 'LFPV', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES ('', 'be', '', 'Antwerpen / Deurne', 'EBAW', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES ('', 'be', '', 'Beauvechain', 'EBBE', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES ('', 'be', '', 'Bierset', 'EBLG', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES ('', 'be', '', 'Brasschaat', 'EBBT', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES ('', 'be', '', 'Bruxelles National', 'EBBR', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES ('', 'be', '', 'Charleroi / Gosselies', 'EBCI', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES ('', 'be', '', 'Chievres', 'EBCV', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES ('', 'be', '', 'Elsenborn', 'EBLB', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES ('', 'be', '', 'Florennes', 'EBFS', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES ('', 'be', '', 'Kleine Brogel', 'EBBL', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES ('', 'be', '', 'Koksijde', 'EBFN', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES ('', 'be', '', 'Oostende Airport', 'EBOS', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES ('', 'be', '', 'Schaffen', 'EBDT', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES ('', 'co', '', 'Apartado / Los Cedros', 'SKLC', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES ('', 'co', '', 'Arauca / Santiago Perez', 'SKUC', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES ('', 'co', '', 'Armenia / El Eden', 'SKAR', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES ('', 'co', '', 'Barranquilla / Ernestocortissoz', 'SKBQ', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES ('', 'co', '', 'Bogota / Eldorado', 'SKBO', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES ('', 'co', '', 'Bucaramanga / Palonegro', 'SKBG', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES ('', 'co', '', 'Cali / Alfonso Bonillaaragon', 'SKCL', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES ('', 'co', '', 'Cartagena / Rafael Nunez', 'SKCG', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES ('', 'co', '', 'Cucuta / Camilo Daza', 'SKCC', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES ('', 'co', '', 'Ibague / Perales', 'SKIB', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES ('', 'co', '', 'Ipiales / San Luis', 'SKIP', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES ('', 'co', '', 'Leticia / Vasquez Cobo', 'SKLT', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES ('', 'co', '', 'Medellin / Olaya Herrera', 'SKMD', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES ('', 'co', '', 'Monteria / Los Garzones', 'SKMR', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES ('', 'co', '', 'Neiva / Benito Salas', 'SKNV', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES ('', 'co', '', 'Pasto / Antonio Narin', 'SKPS', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES ('', 'co', '', 'Pereira / Matecana', 'SKPE', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES ('', 'co', '', 'Quibdo / El Carano', 'SKUI', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES ('', 'co', '', 'Riohacha / Almirante Padilla', 'SKRH', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES ('', 'co', '', 'Rionegro / J. M. Cordova', 'SKRG', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES ('', 'co', '', 'San Andres Isla / Sesquicentenario', 'SKSP', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES ('', 'co', '', 'Santa Marta / Simon Bolivar', 'SKSM', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES ('', 'co', '', 'Valledupar / Alfonso Lopez', 'SKVP', '', '', '', '');
INSERT INTO nuke_weatherstations VALUES ('', 'co', '', 'Villavicencio / Vanguardia', 'SKVV', '', '', '', '');